[refpolicy] [PATCH 2/2] Allow Gentoo rc-update to manage runlevels, try 2

gizmo at giz-works.com gizmo at giz-works.com
Mon Dec 20 16:28:40 CST 2010


From: Chris Richards <gizmo at giz-works.com>

rc-update cannot properly update the system runlevels, even when run
as the root user in sysadm role.

Signed-off-by: Chris Richards <gizmo at giz-works.com>
---
 policy/modules/system/selinuxutil.te |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/policy/modules/system/selinuxutil.te b/policy/modules/system/selinuxutil.te
index ff5d72d..9a71b6e 100644
--- a/policy/modules/system/selinuxutil.te
+++ b/policy/modules/system/selinuxutil.te
@@ -405,6 +405,10 @@ ifndef(`direct_sysadm_daemon',`
 	')
 ')
 
+ifdef(`distro_gentoo',`
+	init_manage_script_runlevel_files(run_init_t)
+')
+
 ifdef(`distro_ubuntu',`
 	optional_policy(`
 		unconfined_domain(run_init_t)
-- 
1.7.3.2



More information about the refpolicy mailing list